| LiquidMenu 1.3.0 Menu creation Arduino library for LCDs, wraps LiquidCrystal.

Functions
recognizeType.cpp File Reference
`#include "LiquidMenu.h"`

## Functions
DataType | recognizeType (bool variable)
DataType | recognizeType (char variable)
DataType | recognizeType (char *variable)
DataType | recognizeType (const char *variable)
DataType | recognizeType (int8_t variable)
DataType | recognizeType (uint8_t variable)
DataType | recognizeType (int16_t variable)
DataType | recognizeType (uint16_t variable)
DataType | recognizeType (int32_t variable)
DataType | recognizeType (uint32_t variable)
DataType | recognizeType (float variable)
DataType | recognizeType (double variable)

## Detailed Description

Contains the overloaded functions DataType recognizeType(... variable); for LiquidMenu library.

## Function Documentation

## § recognizeType() [1/12]

DataType recognizeType | ( | bool | variable | ) |

Used to recognize the data type of a variable received in a template function.

See also
  DataType

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [2/12]

DataType recognizeType | ( | char | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [3/12]

DataType recognizeType | ( | char * | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [4/12]

DataType recognizeType | ( | const char * | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [5/12]

DataType recognizeType | ( | int8_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [6/12]

DataType recognizeType | ( | uint8_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [7/12]

DataType recognizeType | ( | int16_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [8/12]

DataType recognizeType | ( | uint16_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [9/12]

DataType recognizeType | ( | int32_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [10/12]

DataType recognizeType | ( | uint32_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [11/12]

DataType recognizeType | ( | float | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## § recognizeType() [12/12]

DataType recognizeType | ( | double | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format